//==============================================================================
// Thierry Coq, 2008-02-23
// Small FPC example for creating a test library, and load it dynamically.
// Use it at your risk. Enjoy.
//==============================================================================
unit TestProgramDynamicLoading;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TFormMainTest }

  TFormMainTest = class(TForm)
    ButtonCompute: TButton;
    EditInteger1: TEdit;
    EditInteger2: TEdit;
    LabelResult: TLabel;
    procedure ButtonComputeClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  FormMainTest: TFormMainTest;

implementation

uses
  TestInterface;

{ TFormMainTest }

procedure TFormMainTest.ButtonComputeClick(Sender: TObject);
begin
  LabelResult.Caption := IntToStr(
    AddInteger( StrToInt( EditInteger1.Text), StrToInt( EditInteger2.Text)));
end;

initialization
  {$I TestProgramDynamicLoading.lrs}

end.

